### Method

# Gck Slot open_session_finish

#### Declaration [src]

    GckSession*
    gck_slot_open_session_finish (
      GckSlot* self,
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Get the result of an open session operation. If the ‘auto reuse’ setting is set, then this may be a recycled session with the same flags.

#### Parameters

`result` | `GAsyncResult`
| The result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `GckSession`
| The new session or `NULL` if an error occurs.
| The caller of the method takes ownership of the data, and is responsible for freeing it.